org.apache.cassandra.serializers

## Class TimeUUIDSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.UUIDSerializer
  - - org.apache.cassandra.serializers.TimeUUIDSerializer

All Implemented Interfaces:
  TypeSerializer<java.util.UUID>

    public class TimeUUIDSerializer
    extends UUIDSerializer

### Field Summary

Fields
`static TimeUUIDSerializer` `instance`

### Constructor Summary

Constructors
Constructor and Description
`TimeUUIDSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(java.nio.ByteBuffer bytes)`

### Methods inherited from class org.apache.cassandra.serializers.UUIDSerializer

`deserialize, getType, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.serializers.TypeSerializer

`toCQLLiteral`

### Field Detail

#### instance

    public static final TimeUUIDSerializer instance

### Constructor Detail

#### TimeUUIDSerializer

    public TimeUUIDSerializer()

### Method Detail

#### validate

    public void validate(java.nio.ByteBuffer bytes)
                  throws MarshalException

Specified by:
  `validate` in interface `TypeSerializer<java.util.UUID>`
Overrides:
  `validate` in class `UUIDSerializer`
Throws:
  `MarshalException`